<?php

/**
 * GepTiposolicitacaoLogic.
 *
 * @package Logic
 * @author  erikasouza
 */
class GepTiposolicitacaoLogic {


    private $_GepTiposolicitacaoEntity;


    /**
     * Construtor da classe.
     */
    public function __construct(){
        $this->_GepTiposolicitacaoEntity = new GepTiposolicitacaoEntity();
    }


    /**          ok
     * Retorna dados de um tipo dwe solicitacao.
     *
     * @param integer $nrorg     Numero da Organizacao.
     * @param integer $tp_fluxo  Numero do tipo de fluxo.
     * @param integer $tipo_soli Tipo da solicitacao.
     *
     * @return boolean
     */
    public function retornaConsultaTipoSoli($nrorg, $tp_fluxo, $tipo_soli){
        try {
            $situacao = $this->_GepTiposolicitacaoEntity->retornaConsultaTipoSoli($nrorg, $tp_fluxo, $tipo_soli);
            return $situacao;
        } catch(Exception $e) {
            switch ($e->getCode())
            {
            case GepTiposolicitacaoEntity::SEM_TIPOSOLICITACAO;
                return GepTiposolicitacaoEntity::SEM_TIPOSOLICITACAO;
            default:
                tk_message('Erro desconhecido: '.$e->getMessage());
                return false;
            }
        }
    }


    /**
    * Gera novo c�digo de Tipo de Solicitacao por Tipo de Fluxo.
    *
    * @param integer $nrorg N�mero da Organiza��o.
    *
    * @return $codigo integer
    */
    public static function retornaProxNumeroTipoSolicitacao($nrorg){
        $codigo = GepTiposolicitacaoEntity::retornaProxNumeroTipoSolicitacao($nrorg);
        return $codigo;
    }


     /**     ok
     * Retorna a quantidade de tipos de solicitacao em determinado tipo de fluxo.
     *
     * @param integer $nrorg       Numero da Organizacao.
     * @param integer $nrtipofluxo Tipo de fluxo.
     *
     * @return $consulta   Resultado da query.
     */
    public static function retornaTipoSolicitacao($nrorg, $nrtipofluxo){
        try {
            $consulta = GepTiposolicitacaoEntity::retornaTipoSolicitacao(
                $nrorg,
                $nrtipofluxo
            );
            return $consulta;
        } catch(Exception $e) {
            switch ($e->getCode())
            {
            case GepTiposolicitacaoEntity::SEM_TIPOSOLICITACAO;
                return GepTiposolicitacaoEntity::SEM_TIPOSOLICITACAO;
            default:
                tk_message('Erro desconhecido: '.$e->getMessage());
                return false;
            }
        }

    }


}